<%#-- copyright
OpenProject is an open source project management software.
Copyright (C) the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title t(:label_administration), "#{t(:label_edit)} #{t(:label_work_package_types)} #{h @type.name}" %>

<% tabs = types_tabs %>

<%= render ::Types::EditPageHeaderComponent.new(type: @type, tabs:) %>

<%=
  selected_tab = selected_tab(tabs)
  form_data = {
    subject_configuration_form_data: params[:types_forms_subject_configuration_form_model]
  }

  if selected_tab.key?(:view_component)
    render selected_tab[:view_component].new(@type, **form_data)
  else
    form_for @type,
             url: update_tab_type_path(id: @type.id, tab: @tab),
             builder: TabularFormBuilder,
             lang: current_language do |f|
      render partial: "common/tabs", locals: { f:, tabs:, selected_tab:, with_tab_nav: false }
    end
  end
%>
